/*
** Module   : VT100SwingKeyboard.java
** Abstract : VT100 Swing keyboard implementation
**
** Copyright (c) 2014-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description---------------------------------
** 001 MAG 20140318 First version.
** 002 MAG 20140507 Fix RETURN key code from JS on Windows OS.
** 003 GES 20150414 Moved common code to a new base class.
*/

package com.goldencode.p2j.ui.client.chui.driver.swing;

import java.awt.event.*;
import com.goldencode.p2j.ui.client.chui.driver.*;

/**
 * VT100 Swing keyboard instance which feeds events that are hooked as a listener. 
 */
public class VT100SwingKeyboard
extends VT100ProgressKeyboard
implements KeyListener
{  
   /**
    * Key pressed event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyPressed(KeyEvent event)
   {
      handle(event.getKeyCode(), event.getKeyChar());         
   }
   
   /**
    * Key typed event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyTyped(KeyEvent event)
   {
      // not used
   }

   /**
    * Key released event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyReleased(KeyEvent event)
   {      
      // not used
   }
}
