/*
** Module   : ContainerOps.java
** Abstract : API to allow a component to be instructed to resize itself
**
** Copyright (c) 2011-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 GES 20110921 Created initial version.
** 002 GES 20150506 Moved to a driver package.
*/

package com.goldencode.p2j.ui.client.driver.swing;

/**
 * Provides an API to allow a container to offer services to contained
 * components. This is implemented to provide a consistent set of features
 * for frames that are used in both applications and applets. Applets in
 * particular, do not provide certain basic services that are easily
 * accessed in applications frames. That is the reason for this interface.
 */
public interface ContainerOps
{
   /**
    * Trigger a resizing operation.
    */
   public void forceResize();
   
   /**
    * Report if it is possible to exit the VM using <code>System.exit()</code>.
    *
    * @return   Applet frames will return <code>false</code> and application
    *           frames will return <code>true</code>.
    */
   public boolean canExit();
}
